## EvDocumentLinks

EvDocumentLinks

## Synopsis

    #define             EV_DOCUMENT_LINKS_IFACE             (k)
    #define             EV_IS_DOCUMENT_LINKS_IFACE          (k)
                        EvDocumentLinks;
                        EvDocumentLinksIface;
    gboolean            ev_document_links_has_document_links
                                                            (EvDocumentLinks *document_links);
    GtkTreeModel *      ev_document_links_get_links_model   (EvDocumentLinks *document_links);
    GList *             ev_document_links_get_links         (EvDocumentLinks *document_links,
                                                             EvPage *page);
    EvLinkDest *        ev_document_links_find_link_dest    (EvDocumentLinks *document_links,
                                                             const gchar *link_name);
    gint                ev_document_links_get_dest_page     (EvDocumentLinks *document_links,
                                                             EvLinkDest *dest);
    gchar *             ev_document_links_get_dest_page_label
                                                            (EvDocumentLinks *document_links,
                                                             EvLinkDest *dest);

## Object Hierarchy

      GInterface
       +----EvDocumentLinks

## Description

## Details

### EV_DOCUMENT_LINKS_IFACE()

    #define EV_DOCUMENT_LINKS_IFACE(k)	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_LINKS, EvDocumentLinksIface))

`k` : |

### EV_IS_DOCUMENT_LINKS_IFACE()

    #define EV_IS_DOCUMENT_LINKS_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_LINKS))

`k` : |

### EvDocumentLinks

    typedef struct _EvDocumentLinks EvDocumentLinks;

### EvDocumentLinksIface

    typedef struct {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean      (* has_document_links) (EvDocumentLinks *document_links);
    	GtkTreeModel *(* get_links_model)    (EvDocumentLinks *document_links);
    	GList        *(* get_links)          (EvDocumentLinks *document_links,
    					      EvPage          *page);
    	EvLinkDest   *(* find_link_dest)     (EvDocumentLinks *document_links,
    					      const gchar     *link_name);
    } EvDocumentLinksIface;

### ev_document_links_has_document_links ()

    gboolean            ev_document_links_has_document_links
                                                            (EvDocumentLinks *document_links);

`document_links` : |
Returns : |

### ev_document_links_get_links_model ()

    GtkTreeModel *      ev_document_links_get_links_model   (EvDocumentLinks *document_links);

`document_links` : |
Returns : |

### ev_document_links_get_links ()

    GList *             ev_document_links_get_links         (EvDocumentLinks *document_links,
                                                             EvPage *page);

`document_links` : |
`page` : |
Returns : |

### ev_document_links_find_link_dest ()

    EvLinkDest *        ev_document_links_find_link_dest    (EvDocumentLinks *document_links,
                                                             const gchar *link_name);

`document_links` : |
`link_name` : |
Returns : |

### ev_document_links_get_dest_page ()

    gint                ev_document_links_get_dest_page     (EvDocumentLinks *document_links,
                                                             EvLinkDest *dest);

### ev_document_links_get_dest_page_label ()

    gchar *             ev_document_links_get_dest_page_label
                                                            (EvDocumentLinks *document_links,
                                                             EvLinkDest *dest);